cascading.flow

## Class Flows

- java.lang.Object
- - cascading.flow.Flows

-     public final class Flows
      extends Object

  Flows is a utility helper class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowDef` | `copy(FlowDef flowDef, Map<String,Tap> sources, Map<String,Tap> sinks, Map<String,Tap> traps, Map<String,Tap> checkpoints)`
    `static void` | `fireOnCompleted(Flow flow)`
    `static FlowElement` | `getFlowElementForID(Set<FlowElement> flowElements, String id)`
    `static FlowElementGraph` | `getFlowElementGraphFrom(Flow flow)`
    `static Map<String,FlowStepJob>` | `getJobsMap(Flow flow)`
    `static String` | `getNameOrID(Flow flow)`
    `static FlowStepGraph` | `getStepGraphFrom(Flow flow)`
    `static Tap` | `getTapForID(Set<Tap> taps, String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJobsMap

          public static Map<String,FlowStepJob> getJobsMap(Flow flow)

    - #### getFlowElementGraphFrom

          public static FlowElementGraph getFlowElementGraphFrom(Flow flow)

    - #### getStepGraphFrom

          public static FlowStepGraph getStepGraphFrom(Flow flow)

    - #### getNameOrID

          public static String getNameOrID(Flow flow)

    - #### getTapForID

          public static Tap getTapForID(Set<Tap> taps,
                        String id)

    - #### getFlowElementForID

          public static FlowElement getFlowElementForID(Set<FlowElement> flowElements,
                                        String id)

    - #### copy

          public static FlowDef copy(FlowDef flowDef,
                     Map<String,Tap> sources,
                     Map<String,Tap> sinks,
                     Map<String,Tap> traps,
                     Map<String,Tap> checkpoints)

    - #### fireOnCompleted

          public static void fireOnCompleted(Flow flow)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.